% shk(m)   shrinks the current image  m (default: 1.1) times
% shk m    preserving the top-left corner
% shk x m            in the  x  direction
% shk y m            in the  y  direction

%kwong@mcs.anl.gov

function shk(A,m)

xm = 1.1; ym = 1.1;
if nargin == 1, m = 1.1; end
if nargin > 0
  if isstr(A) 
    if strcmp(A,'x'), ym = 1;
      if nargin == 2, if isstr(m), eval(['xm =' m ';'])
                      else xm = m; end
      end
    elseif strcmp(A,'y'), xm= 1; 
      if nargin == 2, if isstr(m), eval(['ym =' m ';'])
                      else ym = m; end
      end
    else 
      eval(['xm =' A ';']), ym = xm;
    end
  else xm = A; ym = A;
  end
end

p = get(gcf,'position');
p = [ p(1) p(2)-(1/ym-1)*p(4)+24 p(3)/xm p(4)/ym ];
set(gcf,'position',p)
