function y = smallest(n,x)
% [ y n ] = smallest(n,x)    return a matrix y containing 
%           n > 1            the smallest n elements of x.
%
%           smallest(r,x)    (approximately the fraction) r of
%           r <= 1           the smallest elements of x
%
% Example:  smallest(0.1,x)  gives the smallest 10 elements
%           smallest(0.1,x)  gives the smallest 1/10 of the elements 
%
% SEE: largest, largesta

% kwong@mcs.anl.gov (Man Kam Kwong, MCS, Argonne National Laboratory)
% dritz@mcs.anl.gov (Ken Dritz)
% Last revised: 10/26/93

[ y n ] = - largest(n,-x);
